- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Class List
- Class Hierarchy
- Class Members

# geos::operation::overlay::EdgeSetNoder Class Reference

Nodes a set of edges. More...

`#include <EdgeSetNoder.h>`

List of all members.

## Public Member Functions
| EdgeSetNoder (algorithm::LineIntersector *newLi)
void | addEdges (std::vector< geomgraph::Edge * > *edges)
std::vector< geomgraph::Edge * > * | getNodedEdges ()

## Detailed Description

Nodes a set of edges.

Takes one or more sets of edges and constructs a new set of edges consisting of all the split edges created by noding the input edges together

The documentation for this class was generated from the following file:

- EdgeSetNoder.h